メモを削除する
curl --request DELETE \
--url https://api.devin.ai/v3/enterprise/knowledge/notes/{note_id} \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.devin.ai/v3/enterprise/knowledge/notes/{note_id}"
headers = {"Authorization": "Bearer <token>"}
response = requests.delete(url, headers=headers)
print(response.text)const options = {method: 'DELETE', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.devin.ai/v3/enterprise/knowledge/notes/{note_id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"body": "<string>",
"created_at": 123,
"folder_id": "<string>",
"folder_path": "<string>",
"is_enabled": true,
"macro": "<string>",
"name": "<string>",
"note_id": "<string>",
"org_id": "<string>",
"pinned_repo": "<string>",
"trigger": "<string>",
"updated_at": 123
}{
"status": 123,
"title": "<string>",
"detail": "<string>",
"errors": [
{}
],
"instance": "<string>",
"type": "about:blank"
}{
"status": 123,
"title": "<string>",
"detail": "<string>",
"errors": [
{}
],
"instance": "<string>",
"type": "about:blank"
}{
"status": 123,
"title": "<string>",
"detail": "<string>",
"errors": [
{}
],
"instance": "<string>",
"type": "about:blank"
}{
"status": 123,
"title": "<string>",
"detail": "<string>",
"errors": [
{}
],
"instance": "<string>",
"type": "about:blank"
}{
"status": 123,
"title": "<string>",
"detail": "<string>",
"errors": [
{}
],
"instance": "<string>",
"type": "about:blank"
}{
"status": 123,
"title": "<string>",
"detail": "<string>",
"errors": [
{}
],
"instance": "<string>",
"type": "about:blank"
}Knowledgeノート(Enterprise)
メモを削除する
DELETE
/
v3
/
enterprise
/
knowledge
/
notes
/
{note_id}
メモを削除する
権限
ManageAccountKnowledge 権限を持つサービスユーザーが必要です。承認
サービスユーザーの認証情報(接頭辞: cog_)
パスパラメータ
Knowledgeノート ID(プレフィックス: note-)
例:
"note-abc123def456"
⌘I

